Bug 1477660 - No accessible caret-moved events in Writer tables
No accessible caret-moved events in Writer tables
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
26
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-02 10:57 EDT by Pavel Vlček
Modified: 2018-05-03 04:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Document Foundation 87680 None None None 2017-08-02 10:57 EDT

  None (edit)
Description Pavel Vlček 2017-08-02 10:57:41 EDT
Still reproducible, please see external bug.Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Caolan McNamara 2017-11-07 09:45:07 EST
With linked upstream docx and script, pressing down once and right five times gives....

object:text-caret-moved(-1, 0, 0)
	source: [paragraph | ]
	host_application: [application | soffice]
object:text-caret-moved(0, 0, 0)
	source: [paragraph | ]
	host_application: [application | soffice]
object:text-caret-moved(1, 0, 0)
	source: [paragraph | ]
	host_application: [application | soffice]
object:text-caret-moved(2, 0, 0)
	source: [paragraph | ]
	host_application: [application | soffice]
object:text-caret-moved(-1, 0, 0)
	source: [paragraph | ]
	host_application: [application | soffice]
object:text-caret-moved(0, 0, 0)
	source: [paragraph | ]
	host_application: [application | soffice]
object:text-caret-moved(-1, 0, 0)
	source: [paragraph | ]
	host_application: [application | soffice]
object:text-caret-moved(0, 0, 0)
	source: [paragraph | ]
	host_application: [application | soffice]
object:text-caret-moved(1, 0, 0)
	source: [paragraph | ]
	host_application: [application | soffice]

help about is: CPU Threads: 4; OS Version: Linux 4.12; UI Render: default; VCL: gtk3; Layout Engine: new;
Comment 3 Caolan McNamara 2017-11-07 11:00:50 EST
on the other hand, if I actually turn of the screenreader, then it often fails on entering into the table
Comment 4 Fedora End Of Life 2018-05-03 04:09:16 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.